---
updatedAt: 2026-07-28T05:05:38.000Z
agentTools:
  projectIndex: https://docs.cermatiprotect.com/llms.txt
---

# Enquire Applications

Get applications based on some filters. This operation can be applied across insurance product types based on specified query parameters. This will return applications that the partner has created or has access to.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "Operations",
    "version": "1.0.0",
    "description": "This is the documentation for Cermati Protect Insurance API Operations",
    "termsOfService": "https://www.cermatiprotect.com/pages/terms-and-conditions",
    "contact": {
      "email": "dev.cermati@cermati.com"
    },
    "x-logo": {
      "url": "https://static.cermatiprotect.com/static/dist/images/logo/cermati-protect-white.png"
    }
  },
  "tags": [
    {
      "name": "Insurance Application Operations",
      "description": "Get insurance applications that the partner has created or has access to."
    }
  ],
  "servers": [
    {
      "url": "https://api-staging.cermatiprotect.com/insurance/v1"
    },
    {
      "url": "https://api.cermatiprotect.com/insurance/v1"
    }
  ],
  "paths": {
    "/applications": {
      "get": {
        "summary": "Enquire Applications",
        "description": "Get applications based on some filters. This operation can be applied across insurance product types based on specified query parameters. This will return applications that the partner has created or has access to.",
        "tags": [
          "Insurance Application Operations"
        ],
        "parameters": [
          {
            "in": "query",
            "name": "refNo",
            "schema": {
              "type": "string"
            },
            "description": "Reference Number from partner specified when creating application.",
            "example": "A1106000155"
          },
          {
            "in": "query",
            "name": "trxId",
            "schema": {
              "type": "string"
            },
            "description": "Application transaction id.",
            "example": "insurance-A1106000155"
          },
          {
            "in": "query",
            "name": "productId",
            "schema": {
              "type": "string"
            },
            "description": "Insurance product ID. Accepts multiple product IDs, e.g. ?productId=value1&productId=value2.",
            "example": "product-1"
          },
          {
            "in": "query",
            "name": "status",
            "schema": {
              "type": "string"
            },
            "description": "Status enum provided based on Insurance Application Status. Accepts multiple statuses, e.g. ?status=value1&status=value2.",
            "example": "ISSUED"
          },
          {
            "in": "query",
            "name": "createdDateAfter",
            "schema": {
              "type": "string"
            },
            "description": "Earliest creation date (operator >=). Format: YYYY-MM-DD.",
            "example": "2021-05-12"
          },
          {
            "in": "query",
            "name": "createdDateBefore",
            "schema": {
              "type": "string"
            },
            "description": "Latest creation date (operator <=). Format: YYYY-MM-DD.",
            "example": "2021-05-25"
          },
          {
            "in": "query",
            "name": "size",
            "schema": {
              "type": "string"
            },
            "description": "Number indicating limit of items returned from this search. Default: 20 (maximum is 50).",
            "example": 20
          },
          {
            "in": "query",
            "name": "page",
            "schema": {
              "type": "string"
            },
            "description": "Number indicating the page number. Default: 1.",
            "example": 1
          },
          {
            "in": "query",
            "name": "sort",
            "schema": {
              "type": "string"
            },
            "description": "Field name to be sorted. Default: createdAt.",
            "example": "createdAt"
          },
          {
            "in": "query",
            "name": "order",
            "schema": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ]
            },
            "description": "Sort direction. Available options: ASC (ascending), DESC (descending). Default: DESC.",
            "example": "ASC"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/EnquireApplications"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "responses": {
      "EnquireApplications": {
        "description": "",
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {
                "data": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/SearchResult"
                  },
                  "description": "List of applications."
                }
              },
              "required": [
                "data"
              ]
            },
            "examples": {
              "Success": {
                "$ref": "#/components/examples/ApplicationEnquireResponse"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "SearchResult": {
        "type": "object",
        "description": "",
        "properties": {
          "refNo": {
            "type": "string",
            "description": "Unique identified from the partner, this must be unique per application."
          },
          "trxId": {
            "type": "string",
            "description": "Application transaction id."
          },
          "status": {
            "type": "string",
            "description": "Status of the application, refer to Insurance Application Status section."
          },
          "link": {
            "type": "string",
            "description": "Link to retrieve resource **{BASE_URL}/{productType}/{trxId}** \n\ne.g. *https://api.cermatiprotect.com/insurance/v1/goods/UniqueTrxId00001*\n"
          },
          "productId": {
            "type": "string",
            "description": "Insurance product ID."
          },
          "policyNumber": {
            "type": "string",
            "description": "Insurance policy number."
          },
          "insuredNames": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "List of customers' names under the policy issuance and/or covered by the insurance."
          },
          "createdAt": {
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of the created application (ISO 8601 format)."
          },
          "updatedAt": {
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of the updated application (ISO 8601 format)."
          },
          "expiredAt": {
            "type": "string",
            "format": "date-time",
            "description": "Expiration time of the created application with status DATA_INCOMPLETE. Default value will be 30 days and configurable in product data."
          },
          "cancelledAt": {
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of the cancelled application (ISO 8601 format)."
          }
        },
        "required": [
          "refNo",
          "trxId",
          "status",
          "link",
          "productId",
          "insuredNames",
          "createdAt"
        ]
      }
    },
    "examples": {
      "ApplicationEnquireResponse": {
        "value": [
          {
            "refNo": "A1106000155",
            "trxId": "ins-A1106000155",
            "status": "ACTIVATED",
            "link": "https://baseurl/insurance/api/v1/goods/ins-A1106000155",
            "productId": "product-1",
            "policyNumber": "CQ1ENMH7",
            "insuredNames": [
              "John Doe",
              "Jane Doe"
            ],
            "createdAt": "2021-05-19T08:39:37.257+07:00",
            "updatedAt": "2021-06-19T08:39:37.257+07:00",
            "expiredAt": "2021-07-19T08:39:37.257+07:00",
            "cancelledAt": null
          }
        ]
      }
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```